sRpN5 does not test for the case where URCBs are association based (non-indexed).
Description

the goal of the test is that an URCB instance is “protected” and can’t be changed by another client. When URCBs are non-indexed
(association based) such protection is evident, but there should be a test case to be sure that two clients get their own URCB
instance.

This applies to both edition 2 and edition 2.1

History

#1 - 11/29/2022 09:35 AM - Richard Schimmel
- File Solution to redmine 6193 sRpN5.docx added
- Initial Test Document set to Ed2 TP2.0.6 and Ed2Amd1 TP1.2

Added solution

#2 - 11/30/2022 08:30 AM - Thierry Dufaure

| agree with the proposal of Richard.
| recommend nevertheless the wording:
when (SCL ReportControl indexed=true or SCL ReportControl indexed is not present) and response+ when SCL indexed=false

#3 - 01/10/2023 08:31 AM - IEC 61850 TPWG
- Due date changed from 01/10/2023 to 01/24/2023

- Assignee changed from Richard Schimmel to Thierry Dufaure

Thierry is to investigate further whether indexed="false" is allowed with only one instance.

#4 - 01/12/2023 01:59 AM - Thierry Dufaure

indexed="false" is allowed with max="1".

Propose wording:

DUT sends SetURCBValues response+ when (SCL indexed=false and max > 1), otherwise DUT sends SetURCBValues response- with data access
error = temporarily-unavailable.

#5 - 01/24/2023 08:35 AM - IEC 61850 TPWG

- Assignee changed from Thierry Dufaure to Richard Schimmel

Accepted.

#6 - 01/24/2023 08:37 AM - IEC 61850 TPWG

note: max is an attribute of RptEnabled
#7 - 01/24/2023 09:48 AM - Richard Schimmel
- File Solution to redmine 6193 sRpN5 (Jan24).docx added

Updated according to last proposal.

#8 - 02/07/2023 08:17 AM - IEC 61850 TPWG

- Status changed from In Progress to Resolved

#9 - 03/01/2024 09:58 AM - Richard Schimmel
- Status changed from Resolved to Closed

- Updated Test Document set to TP1.3

Files

Solution to redmine 6193 sRpN5.docx 21.3 KB 11/29/2022 Richard Schimmel

Solution to redmine 6193 sRpN5 (Jan24).docx 21.2KB 01/24/2023 Richard Schimmel
